package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import sun.management.counter.perf.PerfInstrumentation;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class NftVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("nft拥有者的用户id")
    private Integer userId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("类目")
    private String category;

    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @ApiModelProperty("发行人")
    private String publisher;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("钱包地址")
    private String wallet;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("剧本hash")
    private String fileHash;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("文件地址")
    private String fileUrl;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("发行时间")
    private String publishTime;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("平台存档  0-不存档  1-加密存档")
    private Integer isArchives;

    @ApiModelProperty("授权阅读  0-不需要授权  1-需要授权")
    private Integer isGrant;

    @ApiModelProperty("是否收藏")
    private Boolean collection;

    @ApiModelProperty("关于nft")
    private String aboutNft;

    @ApiModelProperty("是否是纪念版nft 0-否 1-是")
    private Integer isCommemorate;

    public NftVo(Nft nft, User user) {
        this.id = nft.getId();
        this.author = nft.getAuthor();
        this.name = nft.getName();
        this.theme = nft.getTheme();
        this.fileHash = nft.getFileHash();
        this.nftId = nft.getNftId();
        this.synopsis = nft.getSynopsis();
        this.publisher = user.getNickname();
        this.avatar = user.getAvatar();
        this.wallet = nft.getPublishAddress();
        this.publishTime = DateUtil.format(nft.getPublishTime(), "yyyy/MM/dd HH:mm:ss");
        this.isArchives = nft.getIsArchives();
        this.isGrant = nft.getIsGrant();
        this.userId = nft.getUserId();
        this.cover = nft.getCover();
        this.collection = false;
        this.fileName = nft.getFileName();
        this.fileUrl = nft.getFileUrl();
        this.isCommemorate = nft.getIsCommemorate();
        this.nftHash = nft.getNftHash();
    }
}
