package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Category;
import com.fzm.common.mapper.CategoryMapper;
import com.fzm.common.service.CategoryService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:36
 */
@Service
public class CategoryServiceImpl extends ServiceImpl<CategoryMapper, Category> implements CategoryService {

    @Override
    public Category getCategoryById(Integer categoryId) {
        List<Category> list = list();
        for (Category category : list) {
            if (categoryId.equals(category.getId())) {
                return category;
            }
        }
        return null;
    }

    @Override
    @Cacheable(value = "category", key = "'list'")
    public List<Category> listAll() {
        return list();
    }
}
